Tạo Polyline từ Alignment trong Civil 3D

Ngoài cách Export file Civil sang Autocad để lấy Polyline của tim tuyến. Bimtechno sẽ giới thiệu tới các bạn công cụ tạo Polyline từ Alignment một cách nhanh chóng.

Dưới đây là code lisp, các bạn lưu dưới định dạng .lsp và load vào civil 3d, sau đó thực hiện lệnh AECCALIGN và chọn Alignment cần tạo Polyline và xem kết quả.

(DEFUN c:aeccalign ()
  (VL-LOAD-COM)
  (SETQ this-selection (NENTSEL "\nSelect \"AECC_ALIGNMENT\" Object: "))
  (SETQ this-ename (CAR this-selection))
  (SETQ this-object (VLAX-ENAME->VLA-OBJECT this-ename))
  (SETQ this-obj-name (VLAX-GET this-object 'ObjectName))
  (IF (EQ this-obj-name "AeccDbAlignment")
    (setq poly (vlax-invoke-method this-object "GetLWPolyline"))
    (PROGN
      (IF this-obj-name
        (PROGN (PRINC (STRCAT "\n" this-obj-name " selected! Select \"AECC_ALIGNMENT\" Object! "))
               (PRINC)
        )
        (PROGN (PRINC "\nNothing selected! ") (PRINC))
      )
    )
  )
)

Trả lời

Email của bạn sẽ không được hiển thị công khai. Các trường bắt buộc được đánh dấu *